import React from 'react';
declare const StyledCurrentPageBox: import("styled-components").IStyledComponent<"web", {
    sm?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    item?: boolean | undefined;
    order?: number | undefined;
    grow?: number | undefined;
    shrink?: number | undefined;
    basis?: string | undefined;
    flex?: string | undefined;
    align?: "auto" | "center" | "baseline" | "stretch" | "flex-end" | "flex-start" | undefined;
    alignSelf?: import("csstype").Property.AlignSelf | undefined;
    size?: string | number | undefined;
    width?: import("../../../../Atoms/Flexbox/Flexbox.types").Width | undefined;
    height?: import("../../../../Atoms/Flexbox/Flexbox.types").Height | undefined;
    as?: any;
    hidden?: boolean | undefined;
    role?: string | undefined;
    title?: string | undefined;
    children?: React.ReactNode;
    container?: boolean | undefined;
    direction?: "row" | "column" | "column-reverse" | "row-reverse" | undefined;
    wrap?: "wrap" | "nowrap" | "wrap-reverse" | undefined;
    gutter?: number | undefined;
    justifyContent?: "center" | "space-around" | "space-between" | "space-evenly" | "flex-end" | "flex-start" | undefined;
    alignItems?: "center" | "start" | "end" | "baseline" | "stretch" | "flex-end" | "flex-start" | "normal" | "self-end" | "self-start" | undefined;
    alignContent?: "center" | "start" | "end" | "baseline" | "space-around" | "space-between" | "space-evenly" | "stretch" | "flex-end" | "flex-start" | "normal" | "first baseline" | "last baseline" | undefined;
    gap?: string | number | {
        column: number;
        row: number;
    } | undefined;
    className?: string | undefined;
    ref?: React.Ref<HTMLDivElement> | undefined;
    key?: React.Key | null | undefined;
}> & React.ForwardRefExoticComponent<{
    sm?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    md?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    lg?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
    xl?: Partial<import("../../../../Atoms/Flexbox/Flexbox.types").FlexProps> | undefined;
} & import("../../../../Atoms/Flexbox/Flexbox.types").ItemProps & import("../../../../Atoms/Flexbox/Flexbox.types").ContainerProps & {
    className?: string | undefined;
} & {
    children?: React.ReactNode;
    as?: any;
} & React.RefAttributes<HTMLDivElement>>;
declare const StyledList: import("styled-components").IStyledComponent<"web", import("styled-components/dist/types").Substitute<import("../../../../Atoms/List/List.types").Props, {
    $numberOfPages: number;
}>> & React.FunctionComponent<import("../../../../Atoms/List/List.types").Props>;
declare const TruncatedPageNumbers: () => React.JSX.Element;
declare const StyledButton: any, StyledLink: any;
export { StyledCurrentPageBox, StyledList, TruncatedPageNumbers, StyledButton, StyledLink };
